GlueGen: com.jogamp.junit.util.VersionSemanticsUtil Class Reference

GlueGen v2.6.0-rc-20250721 GlueGen, Native Binding Generator for Java™ (public API).

Classes | Static Public Member Functions | List of all members
com.jogamp.junit.util.VersionSemanticsUtil Class Reference
Collaboration diagram for com.jogamp.junit.util.VersionSemanticsUtil:

## Classes

enum | CompatibilityType
| Library compatibility type. More...

## Static Public Member Functions

static void | testVersion2 (final CompatibilityType expectedCompatibilityType, final File previousJar, final VersionNumberString preVersionNumber, final Class<?> currentJarClazz, final ClassLoader currentJarCL, final VersionNumberString curVersionNumber, final String excludesArgOption, final boolean summaryOnly) throws IllegalArgumentException, URISyntaxException, IOException
static void | testVersion2 (final CompatibilityType expectedCompatibilityType, final File previousJar, final VersionNumberString preVersionNumber, final File currentJar, final VersionNumberString curVersionNumber, final String excludesArgOption, final boolean summaryOnly) throws IllegalArgumentException, IOException, URISyntaxException

## Detailed Description

Definition at line 52 of file VersionSemanticsUtil.java.

## Member Function Documentation

## ◆ testVersion2() [1/2]

static void com.jogamp.junit.util.VersionSemanticsUtil.testVersion2 | ( | final CompatibilityType | expectedCompatibilityType,
|  | final File | previousJar,
|  | final VersionNumberString | preVersionNumber,
|  | final Class<?> | currentJarClazz,
|  | final ClassLoader | currentJarCL,
|  | final VersionNumberString | curVersionNumber,
|  | final String | excludesArgOption,
|  | final boolean | summaryOnly
| ) |  | throws IllegalArgumentException, URISyntaxException, IOException

static

Definition at line 83 of file VersionSemanticsUtil.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ testVersion2() [2/2]

static void com.jogamp.junit.util.VersionSemanticsUtil.testVersion2 | ( | final CompatibilityType | expectedCompatibilityType,
|  | final File | previousJar,
|  | final VersionNumberString | preVersionNumber,
|  | final File | currentJar,
|  | final VersionNumberString | curVersionNumber,
|  | final String | excludesArgOption,
|  | final boolean | summaryOnly
| ) |  | throws IllegalArgumentException, IOException, URISyntaxException

static

Definition at line 96 of file VersionSemanticsUtil.java.

The documentation for this class was generated from the following file:

- src/junit/com/jogamp/junit/util/VersionSemanticsUtil.java